import chokidar from "chokidar";
export function createProjectWatcher(opts) {
    const watch = chokidar.watch(opts.root, {
        persistent: true,
        ignoreInitial: true,
        followSymlinks: false,
        disableGlobbing: false,
        ignored: ["**/node_modules/**", "**/.build/**", "**/.sst/**"],
        awaitWriteFinish: {
            pollInterval: 100,
            stabilityThreshold: 20,
        },
    });
    watch.on("change", (file) => {
        opts.bus.publish("file.changed", { file });
    });
}
