import * as esbuild from "esbuild";
import { ICommandHooks } from "aws-cdk-lib/aws-lambda-nodejs";
import { Definition } from "./definition";
declare type Bundle = {
    loader?: {
        [ext: string]: esbuild.Loader;
    };
    banner?: string;
    externalModules?: string[];
    nodeModules?: string[];
    esbuildConfig?: {
        define?: {
            [key: string]: string;
        };
        keepNames?: boolean;
        plugins?: string;
    };
    commandHooks?: ICommandHooks;
    minify?: boolean;
    sourcemap?: boolean;
    format?: "esm" | "cjs";
};
export declare const NodeHandler: Definition<Bundle>;
export {};
